#ifndef _ZX_DIRENT_H_
#define _ZX_DIRENT_H_

#include <linux/types.h>
#include <linux/dirent.h>
#include <sys/cdefs.h>

struct __dirstream
  {
    int _fd;
    char *_ptr;
    char *_end;
    char _buf[1024];
  };

typedef struct __dirstream DIR;

extern __inline__ int
dirfd (DIR *__dir)
{
  return __dir->_fd;
}

__BEGIN_DECLS

extern DIR *opendir __P ((__const char *__pathname));
extern struct dirent *readdir __P ((DIR *__stream));
extern int closedir __P ((DIR *__stream));

extern int getdents __P ((int __fd, struct dirent *__dirp, unsigned int __count));

__END_DECLS

#endif
