#ifndef _ZX_SIGNAL_H_
#define _ZX_SIGNAL_H_

#include <sys/cdefs.h>
#include <sys/types.h>

#include <linux/signal.h>

#ifndef NSIG
# define NSIG _NSIG
#endif

typedef __sighandler_t sig_t;

extern int kill __P ((pid_t __pid, int __sig));
extern int raise __P ((int __sig));

extern int sigsetmask __P ((int __mask)) __asm__ ("_ssetmask");
extern int siggetmask __P ((void)) __asm__ ("_sgetmask");

extern __const char *__const sys_siglist[];

#endif
