#ifndef _ZX_SYS_CDEFS_H_
#define _ZX_SYS_CDEFS_H_

#undef __P

#ifdef __GNUC__

# define __P(args)	args

#else

# if (defined __STDC__ && __STDC__) || defined __cplusplus
#  define __P(args)	args
#  define __const	const
#  define __signed	signed
#  define __volatile	volatile
#  define __DOTS	, ...

# else

#  define __P(args)	()
#  define __const
#  define __signed
#  define __volatile
#  define __DOTS

# endif
#endif

#if defined __STDC__ && __STDC__

# define __CONCAT(x, y)	x ## y
# define __STRING(x)	#x

#else

# define __CONCAT(x, y)	x/**/y
# define __STRING(x)	"x"
#endif

#ifdef __cplusplus
# define __BEGIN_DECLS	extern "C" {
# define __END_DECLS	}
#else
# define __BEGIN_DECLS
# define __END_DECLS
#endif

#if !defined __GNUC__ || __GNUC__ < 2 || (__GNUC__ == 2 && __GNUC_MINOR__ < 92)
# define __restrict
#endif

#endif
