#include "stdio.h"
#include "string.h"

#include <linux/types.h>
#include <linux/uio.h>

extern int writev(int, const struct iovec *, unsigned int);
extern int errno;

void
perror (const char *s)
{
#if 0
  struct iovec iov[4], *iovp;
  unsigned int niov;

  iovp = iov + 2;
  niov = 2;
  if (s && *s)
    {
      iov[0].iov_base = (char *) s;
      iov[0].iov_len = strlen (s);
      iov[1].iov_base = ": ";
      iov[1].iov_len = 2;
      iovp = iov;
      niov = 4;
    }

  iov[2].iov_base = (char *) strerror (errno);
  iov[2].iov_len = strlen (iov[2].iov_base);
  iov[3].iov_base = "\n";
  iov[3].iov_len = 1;
  writev (2, iovp, niov);
#else
  fdprintf (2, "%s%s%s\n", s ? s : "", s && *s ? ": " : "", strerror (errno));
#endif
}
