#include <stdarg.h>
#include "stdio.h"
#include "errno.h"

int
vfprintf (FILE *fp, const char *fmt, va_list ap)
{
  if (!(fp->_flags & _SIO_WROK))
    {
      errno = EBADF;
      return -1;
    }

  return vfdprintf (fp->_fd, fmt, ap);
}
