#include "string.h"
#include <asm/signal.h>

extern const char *const sys_siglist[];

char *strsignal (int sig)
{
  static char buf[sizeof ("Unknown signal 1234567890")];

  if (0 <= sig && sig < _NSIG && sys_siglist[sig])
    return (char *) sys_siglist[sig];

  sprintf (buf, "Unknown signal %d", sig);
  return buf;
}
