#include "stdlib.h"
#include "string.h"

extern char **_environ;

char *
getenv (const char *name)
{
  register const size_t len = strlen (name);
  register char **ep;

  for (ep = _environ; *ep; ++ep)
    if (!memcmp (*ep, name, len) && (*ep)[len] == '=')
      return *ep + len + 1;
  return NULL;
}
