#include "string.h"

int
memcmp (const void *vs1, const void *vs2, size_t n)
{
  const unsigned char *s1 = vs1;
  const unsigned char *s2 = vs2;

  if (n)
    do
      {
	if (*s1++ != *s2++)
	  return (int) s1[-1] - (int) s2[-1];
      }
    while (--n);

  return 0;
}
