#include "unistd.h"
#include "sys/ioctl.h"
#include "errno.h"

#include <linux/termios.h>

int
isatty (int fd)
{
  int is_tty;
  int saved_errno;
  struct termios termios;
  
  saved_errno = errno;
  is_tty = ioctl (fd, TCGETS, &termios);
  errno = saved_errno;

  return !is_tty;
}
